/* wav2asc.cc                        */
/* converts wav files to ASCII files */
/* ................................. */
#include <iostream.h>
#include <fstream.h>

main(int argc, char *argv[]) {
  ifstream in_file;
  ofstream out_file;
  signed short *wert;
  char     *buffer;

  if (argc!=2) {
    cout << "wav2asc input_file, output_file nch\n ";
    cout << sizeof(unsigned short) << "\n";
    goto ende;
  }

  /* allocation of memory */
  /* wert=new unsigned short; */
  buffer=new char[2];
  wert=(signed short *)buffer;

  /* open input file */
  in_file.open(argv[1], ios::in | ios::binary);
  if (!in_file) {
    cout << "can not open file for input \n";
    goto ende;
  }
  
  /* loop through file */
  while (!in_file.eof()) {
    /* channel 1 */
    *wert=0;
    in_file.read((signed short *) wert, 2);
    cout << *wert << "\t";
    /* channel 2 */
    *wert=0;
    in_file.read((signed short *) wert, 2);
    cout << *wert << "\n";
  }
  
  in_file.close();

 ende:
  return(0);
}
